﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="concept">
    <head><title>Managing the Users Onboarding (WIP)</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Managing the Users Onboarding (WIP)</h1>
        <p>This topic provides you information about the process of onboarding users. As users spread across departments and locations of the organization, it is critical to track permissions and access rights associated with them. With the growth of organizations, more non-employees are hired and the need to provide ease of onboarding them and subsequently providing them the required accesses increases.</p>
        <p>Saviynt Enterprise Identity Cloud (EIC) provides an ability to onboard users and manage their lifecycle, including access to roles, resources, endpoints using the Access Request System.</p>
        <p><strong>Methods to Onboard Users</strong>
        </p>
        <p>EIC provides the following ways to onboard users:</p>
        <h2 id="ManagingtheUsersOnboarding-ImportingUsersThroughExternalSources">Importing Users Through External Sources</h2>
        <p>ie. PeopleSoft , Workday or any other HR applications that the organization might be using.</p>
        <h2 id="ManagingtheUsersOnboarding-DirectonboardinginEIC">Direct onboarding in EIC </h2>
        <h3 id="ManagingtheUsersOnboarding-InvitationBasedUserOnboarding">Invitation Based User Onboarding</h3>
        <p>Invitation-based user onboarding is the process of onboarding employees and non-employees such as guests, vendors, contractors, partners, and part-time employees&#160;that are rarely directly managed by the organization&#160;as organizational identities. When these users spread across departments and locations of the organization, it becomes critical to track permissions and access rights associated with them. With the growth of organizations, more non-employees are hired and the need to provide ease of onboarding them and subsequently providing them the required accesses without compromising security becomes even more important. For more information, see <MadCap:xref href="Invitation-Based-User-Onboarding.htm">Invitation-Based User Onboarding</MadCap:xref>.</p>
        <h3 id="ManagingtheUsersOnboarding-DirectCreationofUsersbyManageroranAdministrator">Direct Creation of Users by Manager or an Administrator</h3>
        <ul>
            <li>
                <p>Creating users using User Administration pages</p>
            </li>
            <li>
                <p>Creating users through ARS</p>
            </li>
        </ul>
        <h4 id="ManagingtheUsersOnboarding-CreatingUsersUsingUserAdministrationPages">Creating Users Using User Administration Pages</h4>
        <p>Users from a third-party application can be added&#160;to EIC in&#160;many ways. One of the methods of adding users to the EIC application is by&#160;using the&#160;<strong>Create Users</strong>&#160;feature. For more information, see<MadCap:xref href="../Chapter03-Onboarding-Users/Managing-Users.htm">Onboarding Users</MadCap:xref>.</p>
        <h4 id="ManagingtheUsersOnboarding-CreatingUsersThroughARS">Creating Users Through ARS</h4>
        <ul>
            <li>
                <p>Customizing the registration form for an end user</p>
                <ul>
                    <li>
                        <p>Cascading</p>
                    </li>
                    <li>
                        <p>Show Hide</p>
                    </li>
                    <li>
                        <p>Displaying the fields based on</p>
                    </li>
                    <li>
                        <p>Data Set</p>
                    </li>
                    <li>
                        <p>Duplicate Entry Validations</p>
                    </li>
                    <li>
                        <p>Regex Validation</p>
                    </li>
                    <li>
                        <p>Customizing the whole UI &amp; Validation </p>
                    </li>
                </ul>
            </li>
            <li>
                <p>Access Control</p>
                <ul>
                    <li>
                        <p>Allow non-admins to manage or update users</p>
                    </li>
                    <li>
                        <p>Allowing Which users can a non-admin manage</p>
                    </li>
                    <li>
                        <p>Allowing updation on inactive users</p>
                    </li>
                </ul>
            </li>
            <li>
                <p>Governance of User onboarding processes (This also helps us setup invitation based onboarding as evidenced above)</p>
                <ul>
                    <li>
                        <p>Setup of a process to allow creation/updation of users</p>
                    </li>
                    <li>
                        <p>Setup auto approvals for system identities</p>
                    </li>
                    <li>
                        <p>Using Invitation activity</p>
                    </li>
                </ul>
            </li>
        </ul>
        <h3 id="ManagingtheUsersOnboarding-UserSelf-Registration">User Self-Registration</h3>
        <h2 id="ManagingtheUsersOnboarding-OnboardingUsersThroughSaviyntEICAPIs">Onboarding Users Through Saviynt EIC APIs</h2>
    </body>
</html>